Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.dht
Class BytesToken

    java.lang.Object
      org.apache.cassandra.dht.Token<byte[]>
          org.apache.cassandra.dht.BytesToken

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Token<byte[]>>

    public class BytesToken

extends Token<byte[]>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.dht.Token
`Token.TokenFactory<T>, Token.TokenSerializer`

Constructor Summary
`BytesToken(byte... token)`

Method Summary
`int` | `compareTo(Token<byte[]> o)` This determines the comparison for node destination purposes.
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cassandra.dht.Token
`serializer`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BytesToken

    public BytesToken(byte... token)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Token<byte[]>`

### compareTo

    public int compareTo(Token<byte[]> o)

  Description copied from class: `Token`
  This determines the comparison for node destination purposes.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Token<byte[]>>`
  Specified by:
    `compareTo` in class `Token<byte[]>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Token<byte[]>`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `Token<byte[]>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation